USN-5076-1: Git vulnerability

13 September 2021

Git incorrectly handled certain repository paths.

Releases

Packages

  • git - fast, scalable, distributed revision control system

Details

It was discovered that Git allowed newline characters in
certain repository paths. An attacker could potentially use this issue to perform
cross-protocol requests.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04
Ubuntu 18.04
Ubuntu 16.04

In general, a standard system update will make all the necessary changes.

References